Pulp - Issue #1691

pulp-admin repo download failing
02/18/2016 06:28 PM - pthomas@redhat.com

Status: CLOSED - NOTABUG Start date:

Priority: Normal Due date:

Assignee: Estimated time: 0:00 hour
Category:

Sprint/Milestone:

Severity: 2. Medium Groomed: No
Version: Sprint Candidate: No
Platform Release: Tags: Pulp 2
0OS: Sprint:

Triaged: No Quarter:

Description

Running pulp-admin repo download on repositories with on_demand or background download plolicy.

[root@cloud—-ge-14 ~]# rpm —ga |grep pulp
pulp-rpm-consumer—-extensions-2.8.0-0.5.beta.git.46.c9f2464.el7.noarch
pulp-puppet-plugins-2.8.0-0.5.beta.git.6.5894bd0.el7.noarch
pulp-rpm—admin-extensions-2.8.0-0.5.beta.git.46.c9f2464.el7.noarch
pulp-agent-2.8.0-0.5.beta.git.107.d52583d.el7.noarch
python-pulp-rpm-common-2.8.0-0.5.beta.git.46.c9f2464.el7.noarch
python-pulp-bindings-2.8.0-0.5.beta.git.107.d52583d.el7.noarch
pulp-consumer-client-2.8.0-0.5.beta.git.107.d52583d.el7.noarch
python-isodate-0.5.0-4.pulp.el7.noarch
python-pulp-docker-common-2.0.0-0.5.beta.git.29.0ebc63d.el7.noarch
python-pulp-repoauth-2.8.0-0.5.beta.git.107.d52583d.el7.noarch
pulp-rpm-plugins—-2.8.0-0.5.beta.git.46.c9f2464.el7.noarch
python-pulp-streamer-2.8.0-0.5.beta.git.107.d52583d.el7.noarch
pulp-admin-client-2.8.0-0.5.beta.git.107.d52583d.el7.noarch
pulp-rpm-handlers-2.8.0-0.5.beta.git.46.c9f2464.el7.noarch
pulp-docker-plugins-2.0.0-0.5.beta.git.29.0ebc63d.el7.noarch
python-pulp-client-1ib-2.8.0-0.5.beta.git.107.d52583d.el7.noarch
pulp-docker-admin-extensions-2.0.0-0.5.beta.git.29.0ebc63d.el7.noarch
pulp-puppet-consumer-extensions-2.8.0-0.5.beta.git.6.5894bd0.el7.noarch
pulp-puppet-handlers-2.8.0-0.5.beta.git.6.5894bd0.el7.noarch
python-pulp-puppet-common-2.8.0-0.5.beta.git.6.5894bd0.el7.noarch
pulp-server-2.8.0-0.5.beta.git.107.d52583d.el7.noarch
pulp-selinux-2.8.0-0.5.beta.git.107.d52583d.el7.noarch
python-pulp-agent-1ib-2.8.0-0.5.beta.git.107.d52583d.el7.noarch
pulp-rpm-yumplugins-2.8.0-0.5.beta.git.46.c9f2464.el7.noarch
python-pulp-common-2.8.0-0.5.beta.git.107.d52583d.el7.noarch
python-kombu-3.0.33-2.pulp.el7.noarch
python-pulp-oid_validation-2.8.0-0.5.beta.git.107.d52583d.el7.noarch
pulp-puppet-admin-extensions-2.8.0-0.5.beta.git.6.5894bd0.el7.noarch
[root@cloud—-ge-14 ~1#

1. Create a repo with

[root@cloud-ge-14 ~]1# pulp-admin rpm repo create —--repo-id errata —--feed https://repos.fedorapeopl
e.org/repos/pulp/pulp/demo_repos/test_errata_install/ --download-policy background

Successfully created repository [errata]

[root@cloud—-ge-14 ~]# pulp-admin rpm repo sync run --repo-id errata

o +
Synchronizing Repository [erratal

R et ettt e e +

This command may be exited via ctrl+c without affecting the request.
Downloading metadata...

(1]
completed

Downloading repository content...

[
RPMs : 11/11 items
Delta RPMs: 0/0 items

completed

Downloading distribution files...

[

Distributions: 0/0 items
completed

Importing errata...
(-1
completed

Importing package groups/categories...

(-1
completed

Cleaning duplicate packages...
(-1
completed

Task Succeeded
Initializing repo metadata
(-1

completed
Publishing Distribution files
[-]

completed

Publishing RPMs

[
11 of 11 items

completed

Publishing Delta RPMs
skipped

Publishing Errata

[

4 of 4 items
completed

Publishing Comps file
(-]
completed

Publishing Metadata.
[-1

completed
Closing repo metadata
(-]

completed

Generating sglite files
skipped
Publishing files to web
[-1

completed
Writing Listings File
(-]

completed
Task Succeeded
Task Succeeded

[root@cloud-ge-14 ~]# pulp-admin repo download —--repo-id=zoo

Downloading Repository [zoo0]

This command may be exited via ctrl+c without affecting the request.

Download Repository Content

= 1 3%
1 of 32 items
failed
Task Succeeded
[root@cloud—-ge-14 ~1#
[root@cloud—-ge-14 ~]1#
[root@cloud-ge-14 ~]# pulp-admin repo download —--repo-id=errata
o +
Downloading Repository [errata]
R et ettt e e +

This command may be exited via ctrl+c without affecting the request.

Download Repository Content

Il

Il

u
.
e
oe

1 of 11 items
failed

Task Succeeded
[root@cloud—-ge-14 ~1#

Feb 18 12:28:08 cloud-ge-14.idmge.lab.eng.bos.redhat.com pulp[30467]: celery.worker.strategy:INFO:
Received task: pulp.server.controllers.repository.download_repo[22da8e54-d337-4cd7-9315-959b4d2e7
77f]

Feb 18 12:28:08 cloud-ge-14.idmge.lab.eng.bos.redhat.com pulp[30535]: requests.packages.urllib3.co
nnectionpool:INFO: Starting new HTTPS connection (1l): cloud-ge-14.idmge.lab.eng.bos.redhat.com

Feb 18 12:28:08 cloud-ge-14.idmge.lab.eng.bos.redhat.com pulp[30535]: requests.packages.urllib3.co
nnectionpool:INFO: Starting new HTTPS connection (2): cloud-ge-14.idmge.lab.eng.bos.redhat.com

Feb 18 12:28:08 cloud-ge-14.idmge.lab.eng.bos.redhat.com pulp[30535]: requests.packages.urllib3.co
nnectionpool:INFO: Starting new HTTPS connection (3): cloud-ge-14.idmge.lab.eng.bos.redhat.com

Feb 18 12:28:08 cloud-ge-14.idmge.lab.eng.bos.redhat.com pulp[30535]: requests.packages.urllib3.co
nnectionpool:INFO: Starting new HTTPS connection (4): cloud-ge-1l4.idmge.lab.eng.bos.redhat.com

Feb 18 12:28:08 cloud-ge-14.idmge.lab.eng.bos.redhat.com pulp[30535]: requests.packages.urllib3.co
nnectionpool:INFO: Starting new HTTPS connection (5): cloud-ge-14.idmge.lab.eng.bos.redhat.com

Feb 18 12:28:08 cloud-ge-14.idmge.lab.eng.bos.redhat.com pulp[30535]: nectar.downloaders.threaded:
WARNING: Connection Error - https://cloud-ge-14.idmge.lab.eng.bos.redhat.com/streamer/var/lib/pulp
/content/units/rpm/le/f8c06e51196250bb49ce5fdcabfed9f0d0ad410d39525¢c26c7b3c10284cbdl/grinder_test_
package-3.0-1.fcl4.noarch.rpm?policy=eyJleHR1bnNpb25zIjoge30sICIyZXNvdXJIJZSI6ICIVc3RYyZWFtZXIvdmFyL
2xpYi9wdWxwL2NvbnR1bnQvdWSpdHMvenBtLzF1L2Y4YZzA2ZTUXMTk2MJUWYMIOOWNINWZkY2F 1 ZmVkOWYwZDBhZDQxMGQzOTU
yNWMyNmM3Y jNJMTAYyODRJYmQOxL2dyaWbkZXJ£dGVzdF SwYWNrYWd1LTMuMCOxLmZ JMTQubm9hcmNoLnJwbSIsICJleHBpcmEF Oa
W9uIjogMTQ4NzMIMJjQ40HO0%3D; signature=A6NLM7GFBAfv2GFV-1L8WwG—_K63Sr745quwG0z01ggx6TgxpX8GrQv0aOMbvtao

_kgP6Jx0UamVCjTGAHlIa_SGp-FJTH1lEbrsaiJ-C2JaFxXjs7ghoDQKgfTnXhT7xTgDFccNMHQQkrpihal-ae_L3x3jFCULUB-
BayKTsgWZ8CBZ8kKkRREJIJNdABcZ_LeNWil j5IWSwUARMSopNLgsEFt_hvk4NACnFuV_Or4FV3MSGYznsNRaFo9y12Nb-QOMXvOEgtM
7-euXL9350vbn59ZGbHKNbIJMOHNPIB4RJJ06kCXO6PECEJ6umu3n2VoxP2JnEX1i6sR2n_7ULYeO0r6CqR79Z jpA%3D%3D could n
ot be reached.

Feb 18 12:28:08 cloud-ge-14.idmge.lab.eng.bos.redhat.com pulp[30535]: pulp.server.controllers.repo
sitory:INFO: Download of /var/lib/pulp/content/units/rpm/le/f8c06e51196250bb49ce5fdcabfed9f0d0ad4l
0d39525¢c26c7b3cl10284chbdl/grinder_test_package-3.0-1.fcl4.noarch.rpm failed: A connection error occ
urred.

Feb 18 12:28:08 cloud-ge-14.idmge.lab.eng.bos.redhat.com pulp[30535]: nectar.downloaders.threaded:
WARNING: Connection Error - https://cloud-ge-14.idmge.lab.eng.bos.redhat.com/streamer/var/lib/pulp
/content/units/rpm/44/3e411d281£f2f8c5%9ad22e0efb625d1cb0938ccddb7706ed34f0bd57baed4ll7/warnerbros-0.
1-1.noarch.rpm?policy=eyJ1leHR1bnNpb25zIjoge30sICIyZXNvAXJJZSI6ICIVvCc3RYZWFtZXIvdmFyL2xpYi9wdWxwL2Nv
bnR1bnQvdWSpdHMvenBtLzQOLzNINDEXZDI4AMWYyZ jhiNT1hZDIyZTB1ZmI2MjVkMWNiMDkzOGN JZGRiNzcwNmVkMzRmMGJIkNT
diYWUOMTE3L3dhcm51lemIyb3MtMC4AxLTEubm9hcmNoLnJwbSIsICJleHBpcmEF0aWoul jogMTQ4NzM1IMJQ40H0%3D; signature
=6SILh113ejZXZkp4dK-6T8JtBGHrv—-41V4DP-UZ-I34T2KQW1BLDcZUoTMLubV64epgbceoq pkjyFvNjoXvrAvEFIxuxWzeER
Cv8zZbXzhD_YXMAax3xFgD1lELI20n2PcnxYw_bli4IChvypwHKkz1JWb3ZnSCv41lrLcEg65_KeK1ImUR8dASkzXTU20M_sF6s_ke
SRQye70ZHM7£QvxIVI1IUR7vMD4M1xGHV-QsZD7TxCiMO20gxK6 joKt157e4tMTnpdbdXI ja2G3b0e JPRDQPFS5HY1PTMUS78nnP0
XuQKuFifJjmMkT12UWRMpGaXu71lb62xfyAcgbtx]j6HEIK0INg%3D%$3D could not be reached.

Feb 18 12:28:08 cloud-ge-14.idmge.lab.eng.bos.redhat.com pulp[30535]: nectar.downloaders.threaded:
WARNING: Connection Error - https://cloud-ge-14.idmge.lab.eng.bos.redhat.com/streamer/var/lib/pulp
/content/units/rpm/dd/30d2174£9d9670c0c5bf2f2f97b59ab4064400£32a2ec6e0c5a806£fd665f6f/feedless—1.0~-
l.noarch.rpm?policy=eyJleHR1bnNpb25z2Ijoge30sICIyZXNvdAXJIJZSI6ICIVvc3RYyZWFtZXIvdmFyL2xpYidwdWxwL2Nvbn
R1bnQvdW5pdHMvenBt L2RkLzMwZDIxNZRMOWQ5N jcwY zBJNWImMmYyZ jk3Y JUSYWIOMDY ONDAWZ jMyYTJI1YzZ1MGM1YTgwNmZk
NjY1Z3jZmL2Z1ZWRsZXNzLTEuUMCOxXxLm5vYXJjaC5ycGOiLCAL1ZXhwaXJhdGlvbiI6IDEOODczNTIOODhY; signature=wCH9i-m
WLIegPF3IQ-nuvWlVxHGONgMIh3-Ks70zxp77jexZvO-Qv3FpU31lkcNZxhJLledCR7phlcyEwHYNTKIeFXRufpAui3F9qfJkjy
1fuRzNPOSRmacAS67GAOrgI09hMDGGAE4ZcS4ANKNW6_YotzYtwfTMD2AgHOWNS8ag4Z8uNyYaor4xwGLTXgCDevp2ws3B5I_186
PF7aukH95QgQBWIIy6H-pWONHUOPZO0oLVUI9g76CTsZRIVDYdjFhG6tULlIXUp4KFzC-05F_kLtPtkFXvUmUUwWgPxVAVOkuvcR
r8BUOBINHCRUcCbeiS—-LmWc_xtkf_ 7CaltmS—-JBeA%$3D%3D could not be reached.

Feb 18 12:28:08 cloud-ge-14.idmge.lab.eng.bos.redhat.com pulp[30535]: nectar.downloaders.threaded:
WARNING: Connection Error - https://cloud-ge-14.idmge.lab.eng.bos.redhat.com/streamer/var/lib/pulp
/content/units/rpm/93/a0921b41d13ef£f8£fc906a82341d4calb66c30d5b£5315101051e3938834250/patb-0.1-2.no
arch.rpm?policy=eyJleHR1bnNpb25zIjoge30sICIyZXNvdXJJZSI6ICIVC3RyZWFtZXIvdmFyL2xpYi9wdWxwL2NvbnRlbn
QvdWSpdHMvcenBtLzkzL2EWOTIXY JOXZDEZZWZmMOGZ JOTA2YTgyMzQOxZDRIJYTFiNJZ JMzBkNWIMNTMXNTEWMTA1IMWUZzOTM4 ODMO
MJUwL3BhdGItMC4xLTIubm9hcmNoLnIwbSIsICJleHBpcmF0aWoul jogMTQ4NzMIMjQ40H0%3D; signature=Insgy59oNppmc
RToJ8gEOxVDtAbD8eL2SODINooTgdm91YeLiB5K613e0ilFToacVdaDI9RFgHNS1_uM4AIWJfFOyNrfxTWzyHJohWlehT30BtOB
1871LPmAx_CWfebkfs40hz6WuloXXFdyRFOmM1FTkiVKUOOMgL4Uupif_ 85EpfyoZZ8HB8KKh2uSruBv8M2yVz7pma7lgq9zoQncF
0kj17ZwMGaeK70sGK1Z83J4qUKiCWAqHULVPIpSkGEP3_QSTOA06apoYgAVrfs8yjIB0raUTkzBxoZzQMCWRA2WLbHTzW8gtcsa
00ZS9Q0zrkPh8MJAZTHBXDt fVjpLPeWZSQ_A%3D%3D could not be reached.

Feb 18 12:28:08 cloud-ge-14.idmge.lab.eng.bos.redhat.com pulp[30535]: pulp.server.controllers.repo
sitory:INFO: Download of /var/lib/pulp/content/units/rpm/44/3e411d281£f2f8c5%ad22e0efb625d1cb0938cc
ddb7706ed34f0bd57baedll7/warnerbros—0.1-1.noarch.rpm failed: A connection error occurred.

Feb 18 12:28:08 cloud-ge-14.idmge.lab.eng.bos.redhat.com pulp[30535]: pulp.server.controllers.repo
sitory:INFO: Download of /var/lib/pulp/content/units/rpm/dd/30d2174£9d9670c0c5bf2£2£970b59%9ab4064400
f32a2ec6e0c5a806fd665f6f/feedless-1.0-1.noarch.rpm failed: A connection error occurred.

Feb 18 12:28:08 cloud-ge-14.idmge.lab.eng.bos.redhat.com pulp[30535]: pulp.server.controllers.repo
sitory:INFO: Download of /var/lib/pulp/content/units/rpm/93/a0921b41d13eff8fc906a82341d4calb66c30d
5b£5315101051e3938834250/patb-0.1-2.noarch.rpm failed: A connection error occurred.

Feb 18 12:28:08 cloud-ge-14.idmge.lab.eng.bos.redhat.com pulp[30535]: nectar.downloaders.threaded:
WARNING: Connection Error - https://cloud-ge-14.idmge.lab.eng.bos.redhat.com/streamer/var/lib/pulp
/content/units/rpm/ca/599342648dc9fcb59124ad23d7a77cc70bc3928b93bbfc393d349a42c37ald/grinder_test_
package-2.0-1.fcl4.noarch.rpm?policy=eyJleHR1bnNpb25zIjoge30sICIyZXNvAXJIJZSI6ICIVCc3RYyZWFtZXIvdmFyL
2xpY¥i9wdWxwL2NvbnR1bnQvdW5SpdHMvenBt L2ZNhLzUS50TMOMJYOOGRJOWZ jY JUSMTIOYWQyM2Q3YTc3Y2M3MGJ jMzkyOGISM2J
1ZmMzOTNkMzQ5YTQyYzM3YTFkL2dyaW5kZXJfdGVzdF OWYWNrYWA1LTIuMCOxLmZ jMTQubmOhcmNoLnJwbSIsICJleHBpcmFOa
WOuIljogMTQ4NzMIMjQ40HO0%3D; signature=KEefZmMwzGW3_zcTTXndw4PTSPmi066dfuiV7szpRkYwVhReeWnrgqOyHWAuUHmMmx
60MRVOgt ZAncapls50-gQ0kV43d_mWyrwetPpkz3ak9ROIPJICz_h8QurQmKht jZCM2HOx1zHvdenNiCbpSkR8ZknCYMsZ1G7Uo
HGSuLDW7gLelmn3jsNg2VhEQrMRmZOrdS5y8zH5CdmXjc_uTCst_-HCp4-KEptv7eLw2Tj5SHOkwpyf AZRK8EOGgkCOVaYDaXb
n31z3BiVuCr9IND8_MIoZo¥YSXSmXDxHF3af8bijxMPalCvpKBrGe jcZMBmCrkDITIiOpzAYQknx99%hx2pMIugqw%3D%3D could n
ot be reached.

Feb 18 12:28:08 cloud-ge-14.idmge.lab.eng.bos.redhat.com pulp[30535]: pulp.server.controllers.repo
sitory:INFO: Download of /var/lib/pulp/content/units/rpm/ca/599342648dc9fcb59124ad23d7a77cc70bc392
8b93bbfc393d349a42c37ald/grinder_test_package-2.0-1.fcl4.noarch.rpm failed: A connection error occ
urred.

Feb 18 12:28:08 cloud-ge-14.idmge.lab.eng.bos.redhat.com pulp[30535]: pulp.server.controllers.repo
sitory:INFO: Download of /var/lib/pulp/content/units/rpm/32/49aa947590ff71fbddb774684£963fb409a662
efcd736019b6fdelf5583807/0origin—-1.0-1.noarch.rpm failed: Download skipped.

Feb 18 12:28:08 cloud-ge-14.idmge.lab.eng.bos.redhat.com pulp[30535]: pulp.server.controllers.repo
sitory:INFO: Download of /var/lib/pulp/content/units/rpm/20/227e158c06£922a843£f£7a99e00£90e80996b5
659825bclbe679d9dbc55784 /grinder_test_package-5.0-1.fcl4d.noarch.rpm failed: Download skipped.

Feb 18 12:28:08 cloud-ge-14.idmge.lab.eng.bos.redhat.com pulp[30535]: pulp.server.controllers.repo
sitory:INFO: Download of /var/lib/pulp/content/units/rpm/87/180ee8f076e6c83d217ba32ebcd74£841£9cl7
1cb911e47474615d4b1d9914/grinder_test_package-4.0-1.fcl4d.noarch.rpm failed: Download skipped.

Feb 18 12:28:08 cloud-ge-14.idmge.lab.eng.bos.redhat.com pulp[30535]: pulp.server.controllers.repo
sitory:INFO: Download of /var/lib/pulp/content/units/rpm/b5/592a3144ba786dc5bf8fe59caa634e0dbb9827
d4a9f8eaadc2dbd260eedd5a/parent—1.0-1.noarch.rpm failed: Download skipped.

Feb 18 12:28:08 cloud-ge-14.idmge.lab.eng.bos.redhat.com pulp[30535]: pulp.server.controllers.repo
sitory:INFO: Download of /var/lib/pulp/content/units/rpm/0Oe/5dba5924631327fc8£8054972eaf0d355484a0
fb5d6817b75dd797279c0lef/emoticons-0.1-2.noarch.rpm failed: Download skipped.

Feb 18 12:28:08 cloud-ge-14.idmge.lab.eng.bos.redhat.com pulp[30535]: pulp.server.controllers.repo
sitory:INFO: Download of /var/lib/pulp/content/units/rpm/05/94b854b013c130d9celeb7a0529884edl5a22e
3faeb23810c592446££35100/animaniacs-0.1-1.noarch.rpm failed: Download skipped.

Feb 18 12:28:09 cloud-ge-14.idmge.lab.eng.bos.redhat.com pulp[30467]: celery.worker.job:INFO: Task
pulp.server.controllers.repository.download_repo[22da8e54-d337-4cd7-9315-959b4d2e777f] succeeded
in 1.08056300902s: None

History

#1 - 02/18/2016 06:30 PM - pthomas@redhat.com

- Description updated

#2 - 02/18/2016 06:54 PM - pthomas@redhat.com
- Status changed from NEW to CLOSED - NOTABUG

The issue was due to pulp_streamer not running.

#3 - 04/15/2019 10:35 PM - bmbouter
- Tags Pulp 2 added
